this apple tv is not eligible for this version

i cant get seas0npass to start makeing/downloading the ipsw it comes up whit " this apple tv is not eligible for this version" 

it is a aTV 2 black running 5.2 

 

I have a similar problem. I also bought ATV Flash (black) but I cannot install it because i cannot jailbreak atv2 5.2

It looks like Apple is only recognizing the current signatures. (5.2.1)  Rumor has it that firecore will be out with another

 update soon.